package javax.print.attribute.standard;

import javax.print.attribute.Attribute;
import java.util.Locale;
import javax.print.attribute.PrintServiceAttribute;
import javax.print.attribute.TextSyntax;

public final class PrinterMakeAndModel extends TextSyntax implements PrintServiceAttribute
{
    private static final long serialVersionUID = 4580461489499351411L;
    
    public PrinterMakeAndModel(String value, Locale locale) {
        super(value, locale);
    }
    
    @Override
    public boolean equals(Object object) {
        return super.equals(object) && object instanceof PrinterMakeAndModel;
    }
    
    @Override
    public final Class<? extends Attribute> getCategory() {
        return PrinterMakeAndModel.class;
    }
    
    @Override
    public final String getName() {
        return "printer-make-and-model";
    }
}
